import * as React from "react";
import TableCell from "@mui/material/TableCell";
import Input from "@mui/material/Input";

const CustomTableCell = ({task,
  name,
  value,
  value2,
  onChange,
  onModalOpen,
  placeholder,
  user
 }) => {
  const styles = { width: "auto", height: "10px"};


   if (task) {
    return (
      <>
        <TableCell
          onClick={(e) => (onModalOpen ? onModalOpen(e, task) : null)}
          align="left"
          style={styles}
        >
          {task.isEditMode && onChange && name==!"author" && task.author.id==user.id ? (
            <Input
              placeholder={placeholder}
              value={value}
              name={name}
              onChange={(e) => onChange(e, task)}
              style={styles}
            />
          ) : (
            <span>{value}</span>
          )}
        </TableCell>
      </>
    );
  }

  if (task && name=="dateTimeStart") {
    return (
      <>
        <TableCell
          onClick={(e) => (onModalOpen ? onModalOpen(e, task) : null)}
          align="left"
          style={styles}
        >
          
          {task.isEditMode && onChange && name==!"author" && task.author.id==user.id ? (
            <Input
              placeholder={placeholder}
              value={value}
              name={name}
              onChange={(e) => onChange(e, task)}
              style={styles}
            />
          ) : (
            <>
            <span>{value}</span>
            <div>{"valuehjlhlh"}</div>
            <span>{value2}</span>
            </>
          )}
        </TableCell>
      </>
    );
  }
};

export default CustomTableCell;
